Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

Little probleme whith mail.php

BASE-user
Adrien bob
2008-10-16
2013-06-03
  • Adrien bob
    Adrien bob
    2008-10-16

    Hey everybody, sorry for my bad english ;)

    So, I'm installing an IDS with SNORT and BASE. I use a virtual machine, whith Debian etch.
    First, I have install this packets:

    apache-ssl apache-common libapache-mod-php5
    mysql-server mysql-common mysql-client php5-mysql
    libnet1 libnet1-dev libpcre3 libpcre3-dev autoconf automake1.9
    libpcap0.8 libpcap0.8-dev libmysqlclient15-dev
    php5-gd php4-pear libphp-adodb vim gcc make
    php5-cli libtool libssl-dev gcc-4.1 g++

    With BASE 1.4.1 and SNORT  2.8.3.1 and the lasts stables rules.

    All is all right, but when I finish all the steps of configuration of BASE interface, I have this errors:

    Warning: include_once(Mail.php) [function.include-once]: failed to open stream: No such file or directory in /var/www/base/includes/base_action.inc.php on line 29

    Warning: include_once() [function.include]: Failed opening 'Mail.php' for inclusion (include_path='.:/usr/share/php:/usr/share/pear') in /var/www/base/includes/base_action.inc.php on line 29

    Warning: include_once(Mail/mime.php) [function.include-once]: failed to open stream: No such file or directory in /var/www/base/includes/base_action.inc.php on line 30

    Warning: include_once() [function.include]: Failed opening 'Mail/mime.php' for inclusion (include_path='.:/usr/share/php:/usr/share/pear') in /var/www/base/includes/base_action.inc.php on line 30

    Warning: Cannot modify header information - headers already sent by (output started at /var/www/base/includes/base_action.inc.php:29) in /var/www/base/includes/base_auth.inc.php on line 331

    Warning: Cannot modify header information - headers already sent by (output started at /var/www/base/includes/base_action.inc.php:29) in /var/www/base/index.php on line 53

    For the mail, i have saw that for ubuntu's users, the need just install with: pear install Mail and pear install Mail_Mime but how can-I do in my debian OS ?

    Thanks for your help!!! (Please speake with simple sentences because i'm not very weel in english)

     
    • Hello,

      Debian presumably has a "php-pear" package.  After installing it, you can type both of the commands you have already found.

      You already have installed "php4-pear".  But you also need a package for php version 5. I am not sure, how this is called under Debian.

      Usually the executable is called "pear".

      But it is possible, that the Debian developers call the executable in a different way. Perhaps php-pear or php4-pear or the like.

      Use dpkg -L php5-pear if necessary.

      Bye, bye

      Juergen

       
    • Adrien bob
      Adrien bob
      2008-10-17

      Thanks you!!

      I will test this in 1h but i can say now tha php5-pear package don't exist :(
      What about the different way, you think that I can mouve the files in the good path who need the php file, without problemes?

      I come back for announce my advancement.
      Adrien

       
      • Micah Gersten
        Micah Gersten
        2008-10-17

        Package is called php-pear.

        the other ones are:

        php-mail-mime
        php-mail

        Micah

         
    • Adrien bob
      Adrien bob
      2008-10-17

      Ok all is perfect!! Thanks a lot!

      So i have done:
      apt-get remove apt-php4-pear
      apt-get install php-pear
      pear upgrade PEAR
      -->I have the latest version who permit me the install of mailmime
      pear install mail
      pear install Mail_Mime

      and... Waaa my 6 errors = goodbye :)

      Thanks, now i must all configurate and the next of my stud is:

      - Speak with an SNMP supervisor,
      - create a Honeypot
      - Realise a link between the two.

      Bye...